restful-authentication error with Rails 2.1.0

I just tried out restful-authentication and was having trouble with a
clean install of Rails 2.1.0.

The hyphen in the plugin name appears to be the problem.

I'm not sure how to contact the author(s) but I've posted monkey-patch
workaround notes here:

http://github.com/technoweenie/restful-authentication/wikis/home#COMPATIBILITY